import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;
import java.util.Stack;

public class Example {

	public static void main(String[] args) {
		
		// local variables
		String filename = "Romeo.txt";
		StringBuilder sb = new StringBuilder();
		Stack<String> stack = new Stack<String>();
		Scanner lineScanner = null;
		
		// open the file
		try {
			lineScanner = new Scanner(new File(filename));
		} catch (FileNotFoundException e) {
			System.out.println("Can't find the file " + filename);
			e.printStackTrace();
			System.exit(0);
		}
		
		// iterate the file line by line
		while (lineScanner.hasNextLine()) {

			// read word by word
			String line = lineScanner.nextLine();
			Scanner wordScanner = new Scanner(line);

			// push all the words to a stack
			while (wordScanner.hasNext()) {
				stack.push(wordScanner.next());
			}

			// pop all the words and build the result line
			while (stack.size() > 0) {
				sb.append(stack.pop()).append(" ");
			}
			
			sb.append("\n");
		}
		
		// we're done reading the entire file, print the result
		System.out.println(sb);
	}
}
